diff -ur slackware64-current.2/source/xap/seamonkey/seamonkey.SlackBuild slackware64-current.3/source/xap/seamonkey/seamonkey.SlackBuild
--- slackware64-current.2/source/xap/seamonkey/seamonkey.SlackBuild.orig	2021-09-18 13:56:20.067610192 +0200
+++ slackware64-current.2/source/xap/seamonkey/seamonkey.SlackBuild	2021-09-23 03:18:29.156482802 +0200
@@ -65,5 +65,11 @@
 fi
 
+case "$ARCH" in
+    arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+    mips64el) TARGET=$ARCH-slackware-linux-gnuabi64 ;;
+    *)    TARGET=$ARCH-slackware-linux ;;
+esac
+
 # Choose a compiler (gcc/g++ or clang/clang++):
 export CC=${CC:-gcc}
 export CXX=${CXX:-g++}
@@ -131,6 +139,9 @@
 # Retain GTK+ v2 scrolling behavior:
 zcat $CWD/sm.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
 
+# Fix incorrect wav signed-samples byte order swap on big-endian:
+zcat $CWD/webrtc-wav_file-big_endian.diff.gz | patch -p1 --verbose || exit 1
+
 # Make sure the perms/ownerships are sane:
 chown -R root:root .
 find . \
@@ -179,8 +179,8 @@
   --with-system-nss \
   --with-system-zlib \
   --with-unsigned-addon-scopes=app,system \
-  --host=$ARCH-slackware-linux \
-  --target=$ARCH-slackware-linux"
+  --host=$TARGET \
+  --target=$TARGET"
 
 export BUILD_OFFICIAL=1
 export MOZILLA_OFFICIAL=1
diff -ur slackware64-current.2/source/xap/seyon/seyon.SlackBuild slackware64-current.3/source/xap/seyon/seyon.SlackBuild
--- slackware64-current.2/source/xap/seyon/seyon.SlackBuild	2021-02-13 06:32:09.757944644 +0100
+++ slackware64-current.3/source/xap/seyon/seyon.SlackBuild	2021-09-18 13:43:06.667591183 +0200
@@ -93,7 +93,8 @@
 chmod 755 makever.sh
 xmkmf
 # Add -fcommon to CFLAGS:
-sed -i -e 's/-fno-strict-aliasing/-fno-strict-aliasing -fcommon/' Makefile
+sed -i -e 's/ CFLAGS = / CFLAGS = -fcommon /' Makefile
+
 make || exit 1
 
 mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/X11
diff -ur slackware64-current.2/source/xap/ssr/ssr.SlackBuild slackware64-current.3/source/xap/ssr/ssr.SlackBuild
--- slackware64-current.2/source/xap/ssr/ssr.SlackBuild	2021-09-03 04:16:59.807156898 +0200
+++ slackware64-current.3/source/xap/ssr/ssr.SlackBuild	2021-09-18 13:43:06.737594716 +0200
@@ -85,6 +85,9 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# Fix missing architectures for glinject:
+zcat $CWD/elf64-32_define.diff.gz | patch -p1 --verbose || exit 1
+
 # Configure, build, and install:
 mkdir cmake-build
 cd cmake-build
diff -ur slackware64-current.2/source/xap/xine-lib/xine-lib.SlackBuild slackware64-current.3/source/xap/xine-lib/xine-lib.SlackBuild
--- slackware64-current.2/source/xap/xine-lib/xine-lib.SlackBuild	2021-10-27 12:31:23.272413690 +0200
+++ slackware64-current.3/source/xap/xine-lib/xine-lib.SlackBuild	2023-08-01 22:19:36.736014470 +0200
@@ -108,6 +111,7 @@
   --disable-vcd \
   --without-speex \
   --without-xcb \
+  $EXTRACONF \
   --with-external-dvdnav || exit 1
 
 make $NUMJOBS || make || exit 1
diff -ur slackware64-current.2/source/xap/xscreensaver/xscreensaver.SlackBuild slackware64-current.3/source/xap/xscreensaver/xscreensaver.SlackBuild
--- slackware64-current.2/source/xap/xscreensaver/xscreensaver.SlackBuild.orig	2021-04-02 21:24:36.971695613 +0200
+++ slackware64-current.3/source/xap/xscreensaver/xscreensaver.SlackBuild	2021-10-16 22:43:55.788930029 +0200
@@ -92,6 +92,9 @@
 # as opposed to a generic "screensaver" settings
 zcat $CWD/clarify-desc-in-xfce-settings.patch.gz | patch -p1 --verbose || exit 1
 
+# Remove NEON usage (it does not compile):
+zcat $CWD/xscreensaver.disable_neon.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current.2/source/xfce/elementary-xfce/elementary-xfce.SlackBuild slackware64-current.3/source/xfce/elementary-xfce/elementary-xfce.SlackBuild
--- slackware64-current.2/source/xfce/elementary-xfce/elementary-xfce.SlackBuild	2021-03-10 20:25:28.262981289 +0100
+++ slackware64-current.3/source/xfce/elementary-xfce/elementary-xfce.SlackBuild	2021-09-18 13:44:12.500914160 +0200
@@ -74,7 +74,7 @@
 rm -rf $(basename $CWD/optipng-*.tar.lz .tar.lz)
 tar xvf $CWD/optipng-*.tar.lz || exit 1
 cd optipng-*
-./configure || exit 1
+./configure -with-system-libs || exit 1
 make $NUMJOBS -C src/optipng || exit 1
 mkdir $TMP/package-optipng
 cp src/optipng/optipng $TMP/package-optipng || exit 1
diff -ur slackware64-current.2/extra/source/rust-for-mozilla/rust.SlackBuild slackware64-current.3/testing/source/rust/rust.SlackBuild
--- slackware64-current.2/extra/source/rust-for-mozilla/rust.SlackBuild	2021-09-09 19:19:52.527012986 +0200
+++ slackware64-current.3/extra/source/rust-for-mozilla/rust.SlackBuild	2021-09-18 13:42:54.186961238 +0200
@@ -67,10 +67,14 @@
 
 # If the bootstrap binaries are present, use those. Otherwise bootstrap from
 # installed compiler.
-if /bin/ls *-unknown-linux-gnu.tar.?z 1> /dev/null 2> /dev/null ; then
+if /bin/ls *-unknown-linux-gnu*.tar.?z 1> /dev/null 2> /dev/null ; then
   LOCAL_BOOTSTRAP=no
 else
-  LOCAL_BOOTSTRAP=yes
+  if [ "$LOCAL_BOOTSTRAP" = "" ] && [ -x /usr/bin/cargo ] && [ -x /usr/bin/rustc ] ; then
+    LOCAL_BOOTSTRAP=yes
+  else
+    LOCAL_BOOTSTRAP=no
+  fi
 fi
 
 # https://forge.rust-lang.org/platform-support.html
@@ -98,6 +102,21 @@
 elif [ "$ARCH" = "armv7hl" ]; then
   BARCH="armv7"
   TARCH="$BARCH"
+elif [ "$ARCH" = "arm" ]; then
+  BARCH="armv5te"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "ppc" ]; then
+  BARCH="powerpc"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "ppc64" ]; then
+  BARCH="powerpc64"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "ppc64le" ]; then
+  BARCH="powerpc64le"
+  TARCH="$BARCH"
+elif [ "$ARCH" = "riscv64" ]; then
+  BARCH="riscv64gc"
+  TARCH="$BARCH"
 else
   BARCH="$ARCH"
   TARCH="$ARCH"
@@ -106,6 +125,10 @@
 # Bootstrapping ABI:
 if [ "$ARCH" = "armv7hl" ]; then
   BABI="gnueabihf"
+elif [ "$ARCH" = "arm" ]; then
+  BABI="gnueabi"
+elif [ "$ARCH" = "mips64el" ]; then
+  BABI="gnuabi64"
 else
   BABI="gnu"
 fi
@@ -142,15 +165,27 @@
   zcat $CWD/link_libffi.diff.gz | patch -p1 --verbose || exit 1
 fi
 
+# Patch armv5te atomic operations (already defined in libgcc) and rls AtomicU64
+if [ "${ARCH}" = "arm" ]; then
+  ckorig=`sha256sum vendor/compiler_builtins/src/arm_linux.rs | cut -f1 -d' '`
+  zcat $CWD/atomic_builtins_gcc9.diff.gz | patch -p1 --verbose || exit 1
+  cknew=`sha256sum vendor/compiler_builtins/src/arm_linux.rs | cut -f1 -d' '`
+  # Fix cargo checksum for above patch
+  sed -i "s/$ckorig/$cknew/" vendor/compiler_builtins/.cargo-checksum.json
+fi
+
+# Fix GOT overflow on bootstrap for mips64el:
+zcat $CWD/d-fix-mips64el-bootstrap.diff.gz | patch -p1 --verbose || exit 1
+
 if [ "$LOCAL_BOOTSTRAP" != "yes" ] ; then
   # rust requires bootstrapping with the previous rust version.
   # versions are defined in src/stage0.txt.
   mkdir -p build/cache/$RSTAGE0_DIR
-  cp $CWD/$PKGNAM-std-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu.tar.?z \
-     $CWD/$SRCNAM-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu.tar.?z \
+  cp $CWD/$PKGNAM-std-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu*.tar.?z \
+     $CWD/$SRCNAM-$RSTAGE0_VERSION-$BARCH-unknown-linux-gnu*.tar.?z \
      build/cache/$RSTAGE0_DIR
   mkdir -p build/cache/$CSTAGE0_DIR
-  cp $CWD/cargo-$CSTAGE0_VERSION-$BARCH-unknown-linux-gnu.tar.?z build/cache/$CSTAGE0_DIR
+  cp $CWD/cargo-$CSTAGE0_VERSION-$BARCH-unknown-linux-gnu*.tar.?z build/cache/$CSTAGE0_DIR
 fi
 
 # Build configuration:
@@ -195,8 +234,45 @@
 [target.x86_64-unknown-linux-gnu]
 llvm-config = "/usr/bin/llvm-config"
 
+[target.arm-unknown-linux-gnueabi]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.armv5te-unknown-linux-gnueabi]
+llvm-config = "/usr/bin/llvm-config"
+
 [target.armv7-unknown-linux-gnueabihf]
 llvm-config = "/usr/bin/llvm-config"
+
+[target.aarch64-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.powerpc-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.powerpc64-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.powerpc64le-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.mips-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.mipsel-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.mips64el-unknown-linux-gnuabi64]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.riscv64gc-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.s390x-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
+[target.loongarch64-unknown-linux-gnu]
+llvm-config = "/usr/bin/llvm-config"
+
 EOF
 fi
 
@@ -234,6 +304,8 @@
     # /tmp/SBo/rustc-1.20.0-src/build/i686-unknown-linux-gnu/stage1-rustc/i586-unknown-linux-gnu/release/deps/librustc_llvm-4ab259c9aed547db.so: undefined reference to `xxx`
     export RUSTFLAGS="$RUSTFLAGS -C link-args=-lrt -ldl -lcurses -lpthread -lz -lm"
   fi
+elif [ "$ARCH" = "mips" -o "$ARCH" = "mipsel" ]; then
+  export RUSTFLAGS="$RUSTFLAGS -C opt-level=1" # "Undefined temporary symbol $BB2_1"
 fi
 
 # Fix path to the rust libraries in rust-analyzer:
@@ -258,7 +328,7 @@
 
 # Evidently there are a lot of duplicated libraries in this tree, so let's
 # try to save some space:
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/rustlib/*-linux-gnu/lib && for file in *.so ; do if cmp -s $file ../../../$file ; then ln -sf ../../../$file .; fi; done )
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/rustlib/*-linux-gnu*/lib && for file in *.so ; do if cmp -s $file ../../../$file ; then ln -sf ../../../$file .; fi; done )
 
 # Strip ELF objects:
 find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
#
# Placeholder for rust in testing (copy from source.d.rust)
diff -ur slackware64-current/source/ap/qpdf/qpdf.SlackBuild slackware64-current.2/source/ap/qpdf/qpdf.SlackBuild
--- slackware64-current/source/ap/qpdf/qpdf.SlackBuild	2018-04-23 19:20:52.261170202 +0200
+++ slackware64-current.2/source/ap/qpdf/qpdf.SlackBuild	2021-09-18 13:40:05.718458718 +0200
@@ -85,7 +85,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DINSTALL_EXAMPLES=OFF \
diff -ur slackware64-current/source/ap/rpm/rpm.SlackBuild slackware64-current.2/source/ap/rpm/rpm.SlackBuild
--- slackware64-current/source/ap/rpm/rpm.SlackBuild	2024-01-02 15:09:09.466323531 +0100
+++ slackware64-current.2/source/ap/rpm/rpm.SlackBuild	2024-01-12 13:31:06.853025544 +0100
@@ -113,7 +113,7 @@
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_INSTALL_MANDIR=man \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DWITH_AUDIT=OFF \
     -DWITH_SELINUX=OFF \
     -DWITH_INTERNAL_OPENPGP=ON \
diff -ur slackware64-current/source/d/rinutils/rinutils.SlackBuild slackware64-current.2/source/d/rinutils/rinutils.SlackBuild
--- slackware64-current/source/d/rinutils/rinutils.SlackBuild	2018-04-23 19:20:52.261170202 +0200
+++ slackware64-current.2/source/d/rinutils/rinutils.SlackBuild	2021-09-18 13:40:05.718458718 +0200
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     .. || exit 1
diff -ur slackware64-current.2/source/kde/kColorPicker/kColorPicker.SlackBuild slackware64-current.3/source/kde/kColorPicker/kColorPicker.SlackBuild
--- slackware64-current.2/source/kde/kColorPicker/kColorPicker.SlackBuild	2013-06-23 21:31:32.000000000 +0200
+++ slackware64-current.3/source/kde/kColorPicker/kColorPicker.SlackBuild	2017-12-08 02:47:41.800331255 +0100
@@ -100,7 +100,7 @@
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc/kde \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
-    -DLIB_INSTALL_DIR=lib$LIBDIRSUFFIX \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DQT_PLUGIN_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/plugins \
     -DQML_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/qml \
     -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
diff -ur slackware64-current.2/source/kde/kImageAnnotator/kImageAnnotator.SlackBuild slackware64-current.3/source/kde/kImageAnnotator/kImageAnnotator.SlackBuild
--- slackware64-current.2/source/kde/kImageAnnotator/kImageAnnotator.SlackBuild	2013-06-23 21:31:32.000000000 +0200
+++ slackware64-current.3/source/kde/kImageAnnotator/kImageAnnotator.SlackBuild	2017-12-08 02:47:41.800331255 +0100
@@ -100,7 +100,7 @@
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc/kde \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
-    -DLIB_INSTALL_DIR=lib$LIBDIRSUFFIX \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DQT_PLUGIN_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/plugins \
     -DQML_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/qml \
     -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
diff -ur slackware64-current.2/source/kde/kde/cmake/cmake slackware64-current.3/source/kde/kde/cmake/cmake
--- slackware64-current.2/source/kde/kde/cmake/cmake	2013-06-23 21:31:32.000000000 +0200
+++ slackware64-current.3/source/kde/kde/cmake/cmake	2017-12-08 02:47:41.800331255 +0100
@@ -12,6 +12,7 @@
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc/kde \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DLIB_INSTALL_DIR=lib$LIBDIRSUFFIX \
     -DQT_PLUGIN_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/plugins \
     -DQML_INSTALL_DIR=lib$LIBDIRSUFFIX/qt5/qml \
diff -ur slackware64-current.2/source/kde/kde/cmake/marble slackware64-current.3/source/kde/kde/cmake/marble
--- slackware64-current.2/source/kde/kde/cmake/marble	2013-06-23 21:31:32.000000000 +0200
+++ slackware64-current.3/source/kde/kde/cmake/marble	2017-12-08 02:47:41.800331255 +0100
@@ -13,6 +13,7 @@
     -DMAN_INSTALL_DIR=/usr/man \
     -DKDE_INSTALL_SYSCONFDIR=/etc/kde \
     -DSYSCONF_INSTALL_DIR=/etc/kde \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
     -DLIB_INSTALL_DIR=lib$LIBDIRSUFFIX \
     -DBUILD_TESTING=OFF \
diff -ur slackware64-current.2/source/kde/libindi/libindi.SlackBuild slackware64-current.3/source/kde/libindi/libindi.SlackBuild
--- slackware64-current.2/source/kde/libindi/libindi.SlackBuild	2023-10-24 12:49:19.597976670 +0200
+++ slackware64-current.3/source/kde/libindi/libindi.SlackBuild	2024-03-10 12:47:18.216003045 +0100
@@ -93,7 +93,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DINCLUDE_INSTALL_DIR=/usr/include \
diff -ur slackware64-current.2/source/kde/qcoro/qcoro.SlackBuild slackware64-current.3/source/kde/qcoro/qcoro.SlackBuild
--- slackware64-current.2/source/kde/qcoro/qcoro.SlackBuild	2023-04-24 16:16:20.799546479 +0200
+++ slackware64-current.3/source/kde/qcoro/qcoro.SlackBuild	2023-05-07 23:27:21.621542789 +0200
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     .. || exit 1
diff -ur slackware64-current.2/source/kde/stellarsolver/stellarsolver.SlackBuild slackware64-current.3/source/kde/stellarsolver/stellarsolver.SlackBuild
--- slackware64-current.2/source/kde/stellarsolver/stellarsolver.SlackBuild	2023-10-24 12:49:21.024717600 +0200
+++ slackware64-current.3/source/kde/stellarsolver/stellarsolver.SlackBuild	2024-03-10 12:43:27.443802459 +0100
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     .. || exit 1
diff -ur slackware64-current.2/source/l/zxing-cpp/zxing-cpp.SlackBuild slackware64-current.3/source/l/zxing-cpp/zxing-cpp.SlackBuild
--- slackware64-current.2/source/l/zxing-cpp/zxing-cpp.SlackBuild	2023-04-24 16:16:20.999556442 +0200
+++ slackware64-current.3/source/l/zxing-cpp/zxing-cpp.SlackBuild	2023-05-07 23:26:28.588779511 +0200
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     .. || exit 1
diff -ur slackware64-current.2/source/l/Imath/Imath.SlackBuild slackware64-current.3/source/l/Imath/Imath.SlackBuild
--- slackware64-current.2/source/l/Imath/Imath.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/Imath/Imath.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -86,6 +86,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     .. || exit 1
   make $NUMJOBS || make || exit 1
   make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current.2/source/l/SDL2/SDL2.SlackBuild slackware64-current.3/source/l/SDL2/SDL2.SlackBuild
--- slackware64-current.2/source/l/SDL2/SDL2.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/SDL2/SDL2.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DSDL_STATIC=OFF \
diff -ur slackware64-current.2/source/l/cxxopts/cxxopts.SlackBuild slackware64-current.3/source/l/cxxopts/cxxopts.SlackBuild
--- slackware64-current.2/source/l/cxxopts/cxxopts.SlackBuild	2024-02-09 00:20:11.244884586 +0100
+++ slackware64-current.3/source/l/cxxopts/cxxopts.SlackBuild	2024-02-12 05:32:58.001067523 +0100
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DCXXOPTS_BUILD_EXAMPLES=OFF \
diff -ur slackware64-current.2/source/l/editorconfig-core-c/editorconfig-core-c.SlackBuild slackware64-current.3/source/l/editorconfig-core-c/editorconfig-core-c.SlackBuild
--- slackware64-current.2/source/l/editorconfig-core-c/editorconfig-core-c.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/editorconfig-core-c/editorconfig-core-c.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -79,6 +79,7 @@
   cmake \
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
     -DCMAKE_BUILD_TYPE=Release \
     ..
diff -ur slackware64-current.2/source/l/exiv2/exiv2.SlackBuild slackware64-current.3/source/l/exiv2/exiv2.SlackBuild
--- slackware64-current.2/source/l/exiv2/exiv2.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/exiv2/exiv2.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -87,7 +87,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DBUILD_SHARED_LIBS=ON \
     -DEXIV2_ENABLE_CURL=ON \
diff -ur slackware64-current.2/source/l/fluidsynth/fluidsynth.SlackBuild slackware64-current.3/source/l/fluidsynth/fluidsynth.SlackBuild
--- slackware64-current.2/source/l/fluidsynth/fluidsynth.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/fluidsynth/fluidsynth.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -90,7 +90,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
     -Denable-ladspa=ON \
     .. || exit 1
diff -ur slackware64-current.2/source/l/freecell-solver/freecell-solver.SlackBuild slackware64-current.3/source/l/freecell-solver/freecell-solver.SlackBuild
--- slackware64-current.2/source/l/freecell-solver/freecell-solver.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/freecell-solver/freecell-solver.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -97,7 +97,7 @@
     -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DFCS_WITH_TEST_SUITE=OFF \
     -DBUILD_STATIC_LIBRARY=OFF \
     .. || exit 1
diff -ur slackware64-current.2/source/l/jasper/jasper.SlackBuild slackware64-current.3/source/l/jasper/jasper.SlackBuild
--- slackware64-current.2/source/l/jasper/jasper.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/jasper/jasper.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -94,7 +94,7 @@
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
     -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DLATEX_FOUND=NO \
     .. || exit 1
   make $NUMJOBS VERBOSE=1 || make || exit 1
diff -ur slackware64-current/source/l/json-c/json-c.SlackBuild slackware64-current.2/source/l/json-c/json-c.SlackBuild
--- slackware64-current/source/l/json-c/json-c.SlackBuild	2021-11-04 12:17:09.000000000 +0100
+++ slackware64-current.2/source/l/json-c/json-c.SlackBuild	2022-01-11 20:29:10.000000000 +0100
@@ -89,6 +89,7 @@
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DBUILD_STATIC_LIBS=OFF \
diff -ur slackware64-current.2/source/l/kdsoap/kdsoap.SlackBuild slackware64-current.3/source/l/kdsoap/kdsoap.SlackBuild
--- slackware64-current.2/source/l/kdsoap/kdsoap.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-current.3/source/l/kdsoap/kdsoap.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -98,7 +98,7 @@
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
     -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DBUILD_TESTS=OFF \
     .. || exit 1
   make $NUMJOBS || make || exit 1
diff -ur slackware64-current.2/source/l/lager/lager.SlackBuild slackware64-current.3/source/l/lager/lager.SlackBuild
--- slackware64-current.2/source/l/lager/lager.SlackBuild	2023-10-06 19:00:00.500322950 +0200
+++ slackware64-current.3/source/l/lager/lager.SlackBuild	2024-03-10 12:12:08.934495043 +0100
@@ -95,6 +95,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -Dlager_BUILD_TESTS=OFF \
     -Dlager_BUILD_EXAMPLES=OFF \
     .. || exit 1
diff -ur slackware64-current.2/source/l/lensfun/lensfun.SlackBuild slackware64-current.3/source/l/lensfun/lensfun.SlackBuild
--- slackware64-current.2/source/l/lensfun/lensfun.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/lensfun/lensfun.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -97,7 +97,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DBUILD_LENSTOOL=ON \
     $CMAKE_EXTRA \
     -DBUILD_TESTS=OFF \
diff -ur slackware64-current.2/source/l/libdbusmenu-qt/libdbusmenu-qt.SlackBuild slackware64-current.3/source/l/libdbusmenu-qt/libdbusmenu-qt.SlackBuild
--- slackware64-current.2/source/l/libdbusmenu-qt/libdbusmenu-qt.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/libdbusmenu-qt/libdbusmenu-qt.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -102,7 +102,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DUSE_QT4:BOOL=FALSE \
diff -ur slackware64-current.2/source/l/libdeflate/libdeflate.SlackBuild slackware64-current.3/source/l/libdeflate/libdeflate.SlackBuild
--- slackware64-current.2/source/l/libdeflate/libdeflate.SlackBuild	2023-09-02 22:53:02.721598139 +0200
+++ slackware64-current.3/source/l/libdeflate/libdeflate.SlackBuild	2024-01-23 05:22:36.195420718 +0100
@@ -92,7 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DLIBDEFLATE_BUILD_STATIC_LIB=OFF \
     .. || exit 1
diff -ur slackware64-current.2/source/l/libdiscid/libdiscid.SlackBuild slackware64-current.3/source/l/libdiscid/libdiscid.SlackBuild
--- slackware64-current.2/source/l/libdiscid/libdiscid.SlackBuild	2023-05-06 09:47:50.335677432 +0200
+++ slackware64-current.3/source/l/libdiscid/libdiscid.SlackBuild	2023-05-07 23:25:42.096356945 +0200
@@ -89,7 +89,7 @@
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DMAN_INSTALL_DIR=/usr/man \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     .. || exit 1
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current.2/source/l/libical/libical.SlackBuild slackware64-current.3/source/l/libical/libical.SlackBuild
--- slackware64-current.2/source/l/libical/libical.SlackBuild	2010-08-08 05:18:22.000000000 +0200
+++ slackware64-current.3/source/l/libical/libical.SlackBuild	2017-11-03 22:02:50.196859191 +0100
@@ -97,6 +97,7 @@
   -DMAN_INSTALL_DIR=/usr/man \
   -DSYSCONF_INSTALL_DIR=/etc \
   -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+  -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
   -DGOBJECT_INTROSPECTION=true \
   -DICAL_GLIB_VAPI=true \
   -DSHARED_ONLY:BOOL=true \
diff -ur slackware64-current/source/l/libjpeg-turbo/libjpeg-turbo.SlackBuild slackware64-current.2/source/l/libjpeg-turbo/libjpeg-turbo.SlackBuild
--- slackware64-current/source/l/libjpeg-turbo/libjpeg-turbo.SlackBuild	2021-11-04 12:17:09.000000000 +0100
+++ slackware64-current.2/source/l/libjpeg-turbo/libjpeg-turbo.SlackBuild	2022-01-11 20:29:10.000000000 +0100
@@ -104,7 +104,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR=/usr/lib${LIBDIRSUFFIX} \
     -DCMAKE_INSTALL_DOCDIR=/usr/doc/libjpeg-turbo-${VERSION} \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
     -DENABLE_STATIC=OFF \
diff -ur slackware64-current/source/l/libptytty/libptytty.SlackBuild slackware64-current.2/source/l/libptytty/libptytty.SlackBuild
--- slackware64-current/source/l/libptytty/libptytty.SlackBuild	2023-07-25 06:26:23.821756299 +0200
+++ slackware64-current.2/source/l/libptytty/libptytty.SlackBuild	2024-01-07 12:15:25.673850411 +0100
@@ -93,7 +93,7 @@
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DBUILD_SHARED_LIBS=ON \
     .. || exit 1
   make $NUMJOBS || make || exit 1
diff -ur slackware64-current/source/l/libssh/libssh.SlackBuild slackware64-current.2/source/l/libssh/libssh.SlackBuild
--- slackware64-current/source/l/libssh/libssh.SlackBuild	2021-11-04 12:17:09.000000000 +0100
+++ slackware64-current.2/source/l/libssh/libssh.SlackBuild	2022-01-11 20:29:10.000000000 +0100
@@ -92,6 +92,7 @@
     -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
     -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DWITH_GCRYPT=1 \
     -DWITH_SSH1=1 \
     -DWITH_PCAP=1 \
diff -ur slackware64-current.2/source/l/mlt/mlt.SlackBuild slackware64-current.3/source/l/mlt/mlt.SlackBuild
--- slackware64-current.2/source/l/mlt/mlt.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/mlt/mlt.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -92,6 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
     -DCMAKE_INSTALL_MANDIR=/usr/man \
     .. || exit 1
   make $NUMJOBS || make || exit 1
diff -ur slackware64-current.2/source/l/openal-soft/openal-soft.SlackBuild slackware64-current.3/source/l/openal-soft/openal-soft.SlackBuild
--- slackware64-current.2/source/l/openal-soft/openal-soft.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-current.3/source/l/openal-soft/openal-soft.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -93,7 +93,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DDOC_INSTALL_DIR="doc" \
     -DMAN_INSTALL_DIR=/usr/man \
     -DSYSCONF_INSTALL_DIR=/etc \
diff -ur slackware64-current.2/source/l/opencv/opencv.SlackBuild slackware64-current.3/source/l/opencv/opencv.SlackBuild
--- slackware64-current.2/source/l/opencv/opencv.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-current.3/source/l/opencv/opencv.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -101,7 +101,7 @@
     -DINSTALL_MAN_DIR=man \
     -DINSTALL_DOC_DIR=doc/$PKGNAM-$VERSION \
     -DSYSCONF_INSTALL_DIR=/etc \
-    -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+    -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
     -DLIB_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX} \
     -DBUILD_CUDA_STUBS=OFF \
     -DBUILD_PACKAGE=OFF \
diff -ur slackware64-current.2/source/l/openexr/openexr.SlackBuild slackware64-current.3/source/l/openexr/openexr.SlackBuild
--- slackware64-current.2/source/l/openexr/openexr.SlackBuild	2010-08-09 23:14:43.000000000 +0200
+++ slackware64-current.3/source/l/openexr/openexr.SlackBuild	2017-12-08 14:49:40.096583760 +0100
@@ -97,6 +97,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     .. || exit 1
   make $NUMJOBS || make || exit 1
   make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current.2/source/l/openjpeg/openjpeg.SlackBuild slackware64-current.3/source/l/openjpeg/openjpeg.SlackBuild
--- slackware64-current.2/source/l/openjpeg/openjpeg.SlackBuild	2022-08-13 09:18:11.999354584 +0200
+++ slackware64-current.3/source/l/openjpeg/openjpeg.SlackBuild	2024-03-10 12:49:13.152081620 +0100
@@ -92,6 +92,7 @@
     -DCMAKE_C_FLAGS="$SLKCFLAGS" \
     -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
     -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_INSTALL_LIBDIR="lib$LIBDIRSUFFIX" \
     -DOPENJPEG_INSTALL_LIB_DIR="lib$LIBDIRSUFFIX" \
     -DOPENJPEG_INSTALL_MAN_DIR="man/" \
     -DOPENJPEG_INSTALL_DOC_DIR="doc/openjpeg-$VERSION/" \
